incubator-sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From romb...@apache.org
Subject svn commit: r1594241 - /sling/trunk/tooling/ide/eclipse-core/META-INF/MANIFEST.MF
Date Tue, 13 May 2014 15:11:15 GMT
Author: rombert
Date: Tue May 13 15:11:14 2014
New Revision: 1594241

URL: http://svn.apache.org/r1594241
Log:
SLING-3552 - Update minimum requirement to Eclipse Kepler

Reference the org.eclipse.jdt.debug bundle using Require-Bundle instead
of Import-Package. Workardound for IDE-only error:  The type
com.sun.jdi.connect.Connector$Argument cannot be resolved. It is
indirectly referenced from required .class files .

Apparently Equinox is happy to wire packages exported with x-friends
with Require-Bundle, but not with Import-Package.

Modified:
    sling/trunk/tooling/ide/eclipse-core/META-INF/MANIFEST.MF

Modified: sling/trunk/tooling/ide/eclipse-core/META-INF/MANIFEST.MF
URL: http://svn.apache.org/viewvc/sling/trunk/tooling/ide/eclipse-core/META-INF/MANIFEST.MF?rev=1594241&r1=1594240&r2=1594241&view=diff
==============================================================================
--- sling/trunk/tooling/ide/eclipse-core/META-INF/MANIFEST.MF (original)
+++ sling/trunk/tooling/ide/eclipse-core/META-INF/MANIFEST.MF Tue May 13 15:11:14 2014
@@ -7,7 +7,8 @@ Require-Bundle: org.eclipse.core.runtime
  org.eclipse.equinox.ds;bundle-version="1.2.1",
  org.eclipse.osgi.services;bundle-version="3.2.100",
  org.eclipse.core.resources,
- org.eclipse.ui
+ org.eclipse.ui,
+ org.eclipse.jdt.debug
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ClassPath: .
@@ -27,8 +28,6 @@ Import-Package: org.apache.commons.httpc
  org.eclipse.debug.core,
  org.eclipse.debug.core.model,
  org.eclipse.debug.core.sourcelookup,
- org.eclipse.debug.core.sourcelookup.containers,
- org.eclipse.debug.internal.ui,
  org.eclipse.debug.ui,
  org.eclipse.jdt.core,
  org.eclipse.jdt.internal.launching,



Mime
View raw message